Bug 1070705 (CVE-2014-0101) - CVE-2014-0101 kernel: net: sctp: null pointer dereference when processing authenticated cookie_echo chunk
Summary: CVE-2014-0101 kernel: net: sctp: null pointer dereference when processing aut...
Keywords:
Status: NEW
Alias: CVE-2014-0101
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Xin Long
URL:
Whiteboard:
Depends On: 1067451 1070715 1070716 1071245 1071246 1071247 1072029
Blocks: 1070824
TreeView+ depends on / blocked
 
Reported: 2014-02-27 11:56 UTC by Petr Matousek
Modified: 2019-09-29 13:13 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel processed an authenticated COOKIE_ECHO chunk during the initialization of an SCTP connection. A remote attacker could use this flaw to crash the system by initiating a specially crafted SCTP handshake in order to trigger a NULL pointer dereference on the system.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0328 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-03-25 18:29:54 UTC
Red Hat Product Errata RHSA-2014:0419 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-04-22 21:39:59 UTC
Red Hat Product Errata RHSA-2014:0432 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-04-24 21:36:13 UTC
Red Hat Product Errata RHSA-2014:0520 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-05-20 15:00:53 UTC

Description Petr Matousek 2014-02-27 11:56:59 UTC
Description of the problem:

A flaw was found in the way Linux kernel processed authenticated COOKIE_ECHO chunks.

A remote attacker could use this flaw to crash the system by sending a maliciously prepared SCTP handshake in order to trigger a NULL pointer dereference on the server.

Introduced by:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=bbd0d59809f9

Acknowledgements:

Red Hat would like to thank Nokia Siemens Networks for reporting this issue.

Comment 1 Petr Matousek 2014-02-27 12:04:31 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5. Future kernel updates for Red Hat Enterprise MRG 2 may address this issue.

Comment 5 Petr Matousek 2014-03-03 17:05:09 UTC
Upstream patch submission:

http://patchwork.ozlabs.org/patch/325898/

Comment 6 Petr Matousek 2014-03-06 08:09:20 UTC
(In reply to Petr Matousek from comment #5)
> Upstream patch submission:
> 
> http://patchwork.ozlabs.org/patch/325898/

Upstream commit:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=ec0223ec48a9

Comment 7 Fedora Update System 2014-03-06 08:09:49 UTC
kernel-3.13.5-202.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-03-09 04:38:28 UTC
kernel-3.13.5-103.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2014-04-01 08:24:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0328 https://rhn.redhat.com/errata/RHSA-2014-0328.html

Comment 11 errata-xmlrpc 2014-04-22 17:46:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server and Compute Node Only

Via RHSA-2014:0419 https://rhn.redhat.com/errata/RHSA-2014-0419.html

Comment 12 errata-xmlrpc 2014-04-24 17:43:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0432 https://rhn.redhat.com/errata/RHSA-2014-0432.html

Comment 13 errata-xmlrpc 2014-05-20 11:01:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2014:0520 https://rhn.redhat.com/errata/RHSA-2014-0520.html


Note You need to log in before you can comment on or make changes to this bug.